<template>
	<el-dialog
		title="变更经办人"
		:close-on-click-modal="false"
		:close-on-press-escape="false"
		:visible.sync="filter_conf.centerDialogVisible"
		width="60%"
		center
	>
		<el-row>
			<el-row>
				<el-row class="marginTop10">
					<el-row class="flexHcenter flexVcenter">
						<div class="blue_bar"></div>
						<span class="f15" style="margin:0 1.25rem;">上传经办人身份证</span>
						<div class="blue_bar"></div>
					</el-row>
				</el-row>
				<el-row class="marginTop20">
					<el-col :span="5" class="img_1_2" :offset="1">
						<ootecoUpload :conf="filter_conf.files[0]"></ootecoUpload>
					</el-col>
					<el-col :span="15" :offset="2">
						<ootecoFormInfo :conf="filter_conf.form_info"></ootecoFormInfo>
					</el-col>
				</el-row>
			</el-row>
			<el-row class="marginTop20">
				<el-col :span="5" class="img_2_2" :offset="1">
					<ootecoUpload :conf="filter_conf.files[1]"></ootecoUpload>
				</el-col>
				<el-col :span="5" class="img_3_2" :offset="4">
					<ootecoUpload :conf="filter_conf.files[2]"></ootecoUpload>
				</el-col>
			</el-row>
		</el-row>
		<span slot="footer" class="dialog-footer">
			<el-button type="primary" @click="postInfo">提 交</el-button>
		</span>
	</el-dialog>
</template>

<script>
import ootecoUpload from '@com/ooteco_upload'
import ootecoFormInfo from '@com/ooteco_form_info'
export default {
	mixins: [$mixin],
	props: ['conf'],
	components: { ootecoUpload, ootecoFormInfo },
	data() {
		return {}
	},
	computed: {
		filter_conf() {
			return this.conf || {}
		},
		postBtnDisable() {
			let condition_1 = this.filter_conf.form_info.some(item => {
				return item.label && !item.text
			})
			let condition_2 = this.filter_conf.files.some(item => {
				return !item.file
			})
			return condition_1 || condition_2
		}
	},
	methods: {
		postInfo() {
			if (this.postBtnDisable) {
				this.$message.error('请输入完整信息')
				return false
			}
			let formData = new FormData()
			for (const item of this.filter_conf.form_info) {
				if (item.form_key === 'operatorCarcCheckResult') {
					formData.append(item.form_key, 1)
				}
				formData.append(item.form_key, item.text)
			}
			for (const item of this.filter_conf.files) {
				formData.append(item.form_key, item.file)
			}
			this.$http
				.post({
					url: 'company/updateOperator',
					params: formData
				})
				.then(
					({ data }) => {
						this.alert('修改成功', () => {
							let userInfo = JSON.parse(sessionStorage.getItem('userInfo'))
							userInfo.operatorUserIdCardNumber = this.filter_conf.form_info[0].text
							userInfo.operatorUserName = this.filter_conf.form_info[2].text
							sessionStorage.setItem('userInfo', JSON.stringify(userInfo))
							this.$set(this.filter_conf, 'centerDialogVisible', false)
							$event_bus.$emit('refreshInfo')
						})
					},
					msg => {
						this.alert(msg)
					}
				)
		},
		initListen() {
			this.listen('uploadSuccess', ({ res, conf }) => {
				console.log(JSON.parse(res.data))
				if (
					[
						'license',
						'idcard_person_face',
						'idcard_person_back',
						'idcard_agent_face',
						'idcard_agent_back'
					].indexOf(conf.flag) < 0
				)
					return false
				let data = JSON.parse(res.data)
				for (const item of this.filter_conf.form_info) {
					data[item.key] && this.$set(item, 'text', data[item.key])
				}
			})
		}
	},
	mounted() {
		this.initListen()
	}
}
</script>

<style lang="less">
.blue_bar {
	width: 5rem;
	height: 0.25rem;
	background-color: #4d84ef;
}
.img_1_2 {
	.el-upload-dragger {
		background: url('../../../assets/img/idcard_front_empty.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_2_2 {
	.el-upload-dragger {
		background: url('../../../assets/img/idcard_behind_empty.png') center center
			no-repeat;
		background-size: 100% auto;
	}
}
.img_3_2 {
	.el-upload-dragger {
		background: url('../../../assets/img/authorization_certificate_bg.png')
			center center no-repeat;
		background-size: 100% auto;
	}
}
</style>
